Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.app
Class FlowModifier

    java.lang.Object
      com.servingxml.app.Flow
          com.servingxml.app.FlowModifier

Direct Known Subclasses:
  AbstractFlow, FlowImpl

    public abstract class FlowModifier

extends Flow

Constructor Summary
`FlowModifier()`

Method Summary
`Flow` | `augmentParameters(ServiceContext context, ParameterDescriptor[] parameterDescriptors)`
`Flow` | `replaceDefaultSaxSink(ServiceContext context, SaxSink saxSink)`
`Flow` | `replaceDefaultSaxSource(ServiceContext context, SaxSource saxSource)`
`Flow` | `replaceDefaultStreamSink(ServiceContext context, StreamSink streamSink)`
`Flow` | `replaceDefaultStreamSource(ServiceContext context, StreamSource streamSource)`
`Flow` | `replaceParameters(ServiceContext context, Record parameters)`
`Flow` | `replaceRecord(ServiceContext context, Record record)`
`Flow` | `replaceRecord(ServiceContext context, Record record, int lineNumber)`

Methods inherited from class com.servingxml.app.Flow
`getCurrentLineNumber, getDefaultSaxSink, getDefaultSaxSource, getDefaultStreamSink, getDefaultStreamSource, getParameters, getRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowModifier

    public FlowModifier()

Method Detail

### replaceParameters

    public Flow replaceParameters(ServiceContext context,
                                  Record parameters)

  Specified by:
    `replaceParameters` in class `Flow`

### augmentParameters

    public Flow augmentParameters(ServiceContext context,
                                  ParameterDescriptor[] parameterDescriptors)

  Specified by:
    `augmentParameters` in class `Flow`

### replaceRecord

    public Flow replaceRecord(ServiceContext context,
                              Record record)

  Specified by:
    `replaceRecord` in class `Flow`

### replaceRecord

    public Flow replaceRecord(ServiceContext context,
                              Record record,
                              int lineNumber)

  Specified by:
    `replaceRecord` in class `Flow`

### replaceDefaultStreamSink

    public Flow replaceDefaultStreamSink(ServiceContext context,
                                         StreamSink streamSink)

  Specified by:
    `replaceDefaultStreamSink` in class `Flow`

### replaceDefaultSaxSink

    public Flow replaceDefaultSaxSink(ServiceContext context,
                                      SaxSink saxSink)

  Specified by:
    `replaceDefaultSaxSink` in class `Flow`

### replaceDefaultSaxSource

    public Flow replaceDefaultSaxSource(ServiceContext context,
                                        SaxSource saxSource)

  Specified by:
    `replaceDefaultSaxSource` in class `Flow`

### replaceDefaultStreamSource

    public Flow replaceDefaultStreamSource(ServiceContext context,
                                           StreamSource streamSource)

  Specified by:
    `replaceDefaultStreamSource` in class `Flow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD